Page MenuHomePhabricator

[EPIC] Positive Reinforcement: Leveling Up
Open, MediumPublic

Description

Background:

It is important to communities that newcomers progress to more valuable tasks. For those who do many easy tasks, we want to nudge them toward trying more difficult tasks. This could happen after they complete a certain number of easy tasks, or by encouragement on their homepage.

Hypothesis:

If we provide automated prompts at the right moments, we can nudge newcomers into trying different task types and/or more difficult tasks, which should help them progress on their learning journey.

If we provide encouragement and positive reinforcement at the right moments, we can help engage newcomers more, which should help with newcomer retention.

Ideas

Related Objects

StatusSubtypeAssignedTask
OpenKStoller-WMF
OpenNone
ResolvedRHo
Resolved KieranMcCann
Resolvedkostajh
Resolvedkostajh
ResolvedSgs
ResolvedSgs
ResolvedBUG REPORTTgr
ResolvedBUG REPORTkostajh
ResolvedTgr
ResolvedBUG REPORTTgr
Resolvednettrom_WMF
ResolvedSgs
Resolved KMorgan-WMF
ResolvedTgr
Resolved KMorgan-WMF
ResolvedBUG REPORTSgs
Resolvedkostajh
ResolvedBUG REPORTSgs
Resolvednettrom_WMF
Resolvednettrom_WMF
Resolvednettrom_WMF
Resolvednettrom_WMF
Resolvedkostajh
Resolvedkostajh
Resolvedkostajh
Resolvedkostajh
Resolvedkostajh
Resolvedkostajh
ResolvedBUG REPORTkostajh
ResolvedTgr
Resolvedkostajh
ResolvedMShilova_WMF
ResolvedTrizek-WMF
Resolvedkostajh
Resolvedkostajh
ResolvedEtonkovidova
OpenNone
ResolvedBUG REPORTCyndymediawiksim
ResolvedTgr
ResolvedUrbanecm_WMF
ResolvedCyndymediawiksim
OpenTue, Apr 23None
InvalidNone
ResolvedUrbanecm_WMF
Resolvednettrom_WMF

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
KStoller-WMF renamed this task from Positive Reinforcement: Leveling Up to [EPIC] Positive Reinforcement: Leveling Up .Sep 14 2022, 9:33 PM
KStoller-WMF triaged this task as Medium priority.
KStoller-WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

Change 900196 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Enable LevelingUp features on testwiki

https://gerrit.wikimedia.org/r/900196

Change 900196 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Enable LevelingUp features on testwiki

https://gerrit.wikimedia.org/r/900196

Mentioned in SAL (#wikimedia-operations) [2023-03-16T13:05:39Z] <kharlan@deploy2002> Started scap: Backport for [[gerrit:900196|GrowthExperiments: Enable LevelingUp features on testwiki (T317813)]]

Mentioned in SAL (#wikimedia-operations) [2023-03-16T13:07:14Z] <kharlan@deploy2002> kharlan: Backport for [[gerrit:900196|GrowthExperiments: Enable LevelingUp features on testwiki (T317813)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-03-16T13:15:28Z] <kharlan@deploy2002> Finished scap: Backport for [[gerrit:900196|GrowthExperiments: Enable LevelingUp features on testwiki (T317813)]] (duration: 09m 48s)

Change 901144 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Enable Leveling Up features on pilot wikis

https://gerrit.wikimedia.org/r/901144

Change 901144 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Enable Leveling Up features on pilot wikis

https://gerrit.wikimedia.org/r/901144

Mentioned in SAL (#wikimedia-operations) [2023-03-22T20:13:20Z] <samtar@deploy2002> Started scap: Backport for [[gerrit:901144|GrowthExperiments: Enable Leveling Up features on pilot wikis (T330358 T317813)]]

Mentioned in SAL (#wikimedia-operations) [2023-03-22T20:15:01Z] <samtar@deploy2002> kharlan and samtar: Backport for [[gerrit:901144|GrowthExperiments: Enable Leveling Up features on pilot wikis (T330358 T317813)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-03-22T20:23:18Z] <samtar@deploy2002> Finished scap: Backport for [[gerrit:901144|GrowthExperiments: Enable Leveling Up features on pilot wikis (T330358 T317813)]] (duration: 09m 57s)

DannyS712 subscribed.

Move out of hidden column